Mailinglist Archive: opensuse-buildservice (207 mails)

< Previous Next >
Re: [opensuse-buildservice] (Feature Request) Specify version in osc (what)depenson
On Tue, Mar 01, 2011 at 10:53:13PM +0100, Cristian Morales Vega wrote:
$ osc dependson games megaglest openSUSE_11.3 x86_64
megaglest :
SDL
cmake
curl
jam
libtheora
openal-soft


It's possible to make it output

megaglest :
SDL
cmake
curl >= 7.21
jam
libtheora
openal-soft

?

Not easily, as the "curl" from above is not a dependency, but
a buildservice package name (which has nothing to do with the name
of the rpm). Also, the subpackages of a rpm build may have different
versions, and the dependencies may contain virtual provides with
other versions as well.

Cheers,
Michael.

--
Michael Schroeder mls@xxxxxxx
SUSE LINUX Products GmbH, GF Markus Rex, HRB 16746 AG Nuernberg
main(_){while(_=~getchar())putchar(~_-1/(~(_|32)/13*2-11)*13);}
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >